<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html"
      xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Sociable Weaver</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
          integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
          crossorigin="anonymous">

    <script>
        $(document).ready(function () {
            $(".comment_button").click(function () {
                var $x = $(this).parent().siblings(".comment_box");
                $x.toggle();
            });
        });
    </script>


    <script>
        $(document).ready(function () {
            $(".reply_button").click(function () {
                var $x = $(this).parent().siblings(".reply_box");
                $x.toggle();

            });
        });
    </script>

    <script>
        $(document).ready(function () {
            $(".update_post_button").click(function () {
                var $x = $(this).parent().siblings(".update_post_form");
                var $y = $(this).parent().siblings(".post_text_box").children("p").text();
                $x.toggle();
                $(this).parent().siblings(".update_post_form")
                    .children(".card-body").children(".tab-content")
                    .children(".tab-pane").children(".form-group")
                    .children(".form-control")
                    .text($y);

            });
        });
    </script>


    <script>
        $(document).ready(function () {
            $(".moreComments1").on("click",function () {
                var $x = $(this).parent().siblings(".moreComments");
                var $y=$(this).parent().siblings(".limitedComments");
                $(this).hide();
                $x.toggle();
                $y.hide();

            });
        });
    </script>



    <!--<script>-->
        <!--function writePost() {-->
            <!--postContent = $('#post_box').text();-->
            <!--options = {-->
                <!--method: 'POST',-->
                <!--headers: {-->
                    <!--'Content-Type': 'application/json'-->
                <!--},-->
                <!--body: postContent-->
            <!--};-->
            <!--fetch('/api/v1/posts', options).then(reload);-->
        <!--}-->
    <!--</script>-->


    <script>
        function likePost(el) {
            var x=$(el).attr("id").substring(6);
            $.ajax({
                url: `/api/v1/posts/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    responseStr=response.toString();
                    var z=responseStr.charAt(0);
                    var m=responseStr.substring(1);
                    $(`#likeCount${x}`).text(m + " Likes");
                    if(z==="u"){
                        $(el).children("span").text(" UnLike")
                    }else {
                        $(el).children("span").text(" Like")
                    }
                },
                error: function(){
                }
            });
        }
    </script>




    <!--<script>-->
        <!--function likePost(el) {-->
             <!--var x=$(el).attr("id").substring(6);-->
            <!--$.ajax({-->
                <!--url: `/api/v1/posts/${x}/likes`,-->
                <!--type: 'PUT',-->
                <!--success: function(response){-->
                    <!--$(`#likeCount${x}`).text(response + " Likes");-->
                    <!--},-->
                <!--error: function(){-->
                <!--}-->
            <!--});-->


        <!--}-->
    <!--</script>-->

    <script>
        function setPostPublic(el) {
            var x=$(el).attr("id").substring(13);
            $(`#postSetPrivate${x}`).show().css("display", "block");
            $.ajax({
                url: `/api/v1/posts/privacy/public/${x}`,
                type: 'PUT',
                success: function(response){
                    $(`#postSetPublic${x}`).hide();
                    },
                error: function(){
                }
            });


        }
    </script>


    <script>
        function setPostPrivate(el) {
            var x=$(el).attr("id").substring(14);
            $(`#postSetPublic${x}`).show().css("display", "block");
            $.ajax({
                url: `/api/v1/posts/privacy/private/${x}`,
                type: 'PUT',
                success: function(response){
                    $(`#postSetPrivate${x}`).hide();
                    },
                error: function(){
                }
            });
        }
    </script>

    <script>
        function changePostPrivacy(el) {
            var x=$(el).attr("id").substring(6);
            var $y = $(el).children("span");

            $.ajax({
                url: `/api/v1/posts/privacy/change/${x}`,
                type: 'PUT',
                success: function(response){
                    $y.text(response);
                },
                error: function(){
                }
            });
        }
    </script>


    <script>
        function likeComment(el) {
            var x=$(el).attr("class").substring(7);
            var $y = $(el).children("span");

            $.ajax({
                url: `/api/v1/comments/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    $y.text(response);
                },
                error: function(){
                }
            });
        }
    </script>





    <script>
        function likeReply(el) {
            var x=$(el).attr("id").substring(7);
            $.ajax({
                url: `/api/v1/replies/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    $(`#replyLikeCount${x}`).text(response);
                },
                error: function(){
                }
            });
        }
    </script>


    <!--<script>-->
        <!--function likeReply(el) {-->
            <!--var x=$(el).attr("id").substring(7);-->
            <!--$.ajax({-->
                <!--url: `/api/v1/replies/${x}/likes`,-->
                <!--type: 'PUT',-->
                <!--success: function(response){-->
                    <!--$(`#replyLikeCount${x}`).text(response + " Likes");-->
                <!--},-->
                <!--error: function(){-->
                <!--}-->
            <!--});-->
        <!--}-->
    <!--</script>-->



    <script>
        $(document).ready(function () {
            $("input[type='file']").on("change", function () {
                if (this.files[0].size > 2000000) {
                    alert("Please upload files that are less than 2MB. Thanks!!!");
                    $(this).val('');
                }
            });
            $("input[type='file']").click(function () {
                $("input[id='customFile']").click();
            });

            $("input[id='customFile']").change(function (e) {
                var $this = $(this);
                $this.next().html($this.val().split('\\').pop());
            });
        });
    </script>



    <style>
        body {

            /*background-image: url("static/images/34726114_10216057859976556_8869133270403514368_n.jpg");*/
            background-color: #eeeeee;
        }

        .h7 {
            font-size: 0.8rem;
        }


        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }

            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }
    </style>

</head>
<body>


<nav th:insert="main_view_fragments.html :: navbar"></nav>

<div class="container-fluid gedf-wrapper">
    <div class="row">

<!--UserInfoCard-->
        <div class="col-md-3">
            <div class="card">
                <div class="card-body">
                    <div class="h5" th:text="'@'+${user.getFirstName()}+' '+${user.getLastName()}">@G G</div>
                    <div class="h7 text-muted" th:text="${user.getEmail()}">petya@yahoo.test</div>
                    <!--<div th:if="${user.getNationality()!=null and user.getCity()!=null}" class="h7 text-muted" th:text="${user.getNationality()}+', '+${user.getCity()}">Bulgaria-->
                        <!--Bourgas-->
                    <!--</div>-->

                    <div class="h7 text-muted">
                        <span id="currentNationality" th:text="${user.getNationality()}">Bulgaria</span>
                        <span id="currentCity" th:text="${user.getCity()}">Bourgas</span>
                    </div>



                    <div class="h7">

                        <div>
                            <img class="card-img-top" th:src="@{'data:postPhoto/png;base64,'+${user.getPhoto()}}"
                                 alt="">
                        </div>
                    </div>
                    <!--<a class="card-link" style="color: blue"><i class="fa fa-update" style="color: blue"></i> Update profile</a>-->

                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <div class="h6 text-muted">Friends</div>
                        <div class="h5"
                             th:text="${friendList.size()}">
                            5.2342
                        </div>
                        <div th:each="friend:${friendList}">
                            <div id="friendLink1" class="d-flex justify-content-left align-items-center" th:href="'/users/'+${friend.getId()}">
                                <div class="mr-2">
                                    <img th:if="${friend.getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                    <img th:unless="${friend.getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${friend.getPhoto()}}">

                                </div>


                                <div class="ml-2">
                                    <a id="friendLink2" th:href="'/users/'+${friend.getId()}">
                                    <div class="h7 m-0" href="#"
                                         th:text="${friend.getFirstName()}+' '+${friend.getLastName()}">
                                        JoroJoro
                                    </div>
                                    </a>
                                    <a id="removeFriendLink1" href="#" th:href="'/friendship/remove/'+${friend.getId()}" class="card-link" style="color: red"> Remove from friendlist </a>

                                    <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                                </div>
                            </div>

                        </div>

                    </li>
                    <li class="list-group-item">
                        <div class="h6 text-muted">Posts</div>
                        <div class="h5" th:text="${user.getPosts().size()}">6758</div>
                    </li>
                    <li class="list-group-item">
                        <!--bbbbbbb-->
                    </li>
                </ul>
            </div>
        </div>


<!--UserInfoCard-->
        <div class="col-md-6 gedf-main">


            <div class="card gedf-card">
                <div class="card-header">
                    <ul class="nav nav-tabs card-header-tabs" id="myTab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="posts-tab" data-toggle="tab" href="#posts" role="tab"
                               aria-controls="posts" aria-selected="true">Make
                                a publication</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="images-tab" data-toggle="tab" role="tab" aria-controls="images"
                               aria-selected="false" href="#images">Images</a>
                        </li>
                    </ul>
                </div>


                <div class="card-body">


                    <form id="post_box" action="#" th:action="@{/homepage/posts/new}" th:object="${postDTO}"
                          method="post" enctype="multipart/form-data">
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="posts" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">post</label>
                                    <textarea class="form-control" id="message" rows="3"
                                              placeholder="What are you thinking?" th:field="*{postText}" required maxlength="2000"></textarea>
                                </div>

                            </div>
                            <div class="tab-pane fade" id="images" role="tabpanel" aria-labelledby="images-tab">
                                <div class="form-group">
                                    <div class="custom-file">
                                        <input type="file" accept="image/*" class="custom-file-input" id="customFile" name="file"/>
                                        <input type="hidden" name="MAX_FILE_SIZE" value="2000000"/>
                                        <span class="custom-file-label" for="customFile">Upload image</span>
                                    </div>
                                </div>
                                <div class="py-4"></div>
                            </div>
                        </div>

                        <!--<select class="custom-select" th:field="*{shared}">-->
                        <!--<option th:value="true">public</option>-->
                        <!--<option th:value="false">friends</option>-->
                        <!--</select>-->


                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="customCheck1" th:field="*{shared}"
                                   th:value="true">
                            <label class="custom-control-label" for="customCheck1">Public</label>
                        </div>

                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="addPostButton1" type="submit" class="btn btn-primary" value="Add post">share</button>
                            </div>


                            <!--<div class="btn-group" >-->
                            <!--<button id="btnGroupDrop1" type="button" class="btn btn-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"-->
                            <!--aria-expanded="false"  >-->
                            <!--<i class="fa fa-globe"></i>-->
                            <!--</button>-->


                            <!--<div class="dropdown-menu dropdown-menu-right" aria-labelledby="btnGroupDrop1">-->

                            <!--<div class="dropdown-item" href="#" th:value="true"><i class="fa fa-globe" ></i> Public</div>-->
                            <!--<div class="dropdown-item" href="#" th:value="false"><i class="fa fa-users" ></i> Friends</div>-->
                            <!--<a class="dropdown-item" href="#"><i class="fa fa-user"></i> Just me</a>-->
                            <!--</div>-->
                            <!--</div>-->



                            <div class="btn-group" >
                            <button id="btnGroupDrop1" type="button" class="btn btn-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false"  >
                            <i class="fa fa-forward"> find page </i>
                            </button>


                            <div  class="dropdown-menu dropdown-menu-right" aria-labelledby="btnGroupDrop1">
                            <ul   th:each="i:${#numbers.sequence(0,posts.getTotalPages()-1)}">
                            <li>
                            <a id="nextPageAnchor1" th:text="${i}" th:href="@{/homepage/(page=${i})}" class="dropdown-item" href="#" th:value="true"> </a>
                            </li>    </ul>
                            </div>
                            </div>

                            <!--th:text="${i}"-->




                        </div>
                    </form>
                </div>
            </div>


            <!--- \\\\\\\Post-->
            <div class="card gedf-card" th:each="post:${posts}">
                <div class="card-header post">
                    <div class="d-flex justify-content-between align-items-center">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="mr-2">

                                    <img th:if="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                    <img th:unless="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${post.getUser().getPhoto()}}">

                            </div>
                            <div class="ml-2">
                                <a id="friendLink3" th:href="'/users/'+${post.getUser().getId()}">
                                <div  class="h5 m-0"
                                     th:text="${post.getUser().getFirstName()}+' '+${post.getUser().getLastName()}">
                                    JoroJoro
                                </div>
                                </a>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                        </div>
                        <!--<div>-->
                        <!--<div class="dropdown">-->
                        <!--<button class="btn btn-link dropdown-toggle" type="button" id="gedf-drop1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">-->
                        <!--<i class="fa fa-ellipsis-h"></i>-->
                        <!--</button>-->
                        <!--<div class="dropdown-menu dropdown-menu-right" aria-labelledby="gedf-drop1">-->
                        <!--<div class="h6 dropdown-header">Configuration</div>-->
                        <!--<a class="dropdown-item" href="#">Save</a>-->
                        <!--<a class="dropdown-item" href="#">Hide</a>-->
                        <!--<a class="dropdown-item" href="#">Report</a>-->
                        <!--</div>-->
                        <!--</div>-->
                        <!--</div>-->
                    </div>

                </div>
                <div class="card-body post_text_box">
                    <div class="text-muted h7 mb-2"><i class="fa fa-clock-o"></i> <span
                            th:text="${post.getCreatedAt().toString().substring(0,16)}"></span></div>

                    <div>
                        <img class="card-img-top" th:src="@{'data:postPhoto/png;base64,'+${post.getPostPhoto()}}"
                             alt="">
                    </div>




                    <p class="card-text" th:text="${post.getPostText()}">
                        PostText
                    </p>
                </div>

                <div class="postCount card-footer d-flex justify-content-between">
                     <span th:id="likeCount+${post.getPostId()}" th:class="postCount" th:text="${post.getPostLikes().size()}+' Likes'"> 380 likes</span>
                    <span th:text="${post.getComments().size()+post.getRepliesCount()}+' Comments'"> 16 comments</span>
                </div>
<!---->
                <div class="card-footer d-flex justify-content-between ">
                    <a th:if="${post.getPostLikes().contains(user)}" th:id="button+${post.getPostId()}" onclick="likePost(this)"
                    class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i><span> UnLike</span></a>
                    <a th:unless="${post.getPostLikes().contains(user)}" th:id="button+${post.getPostId()}" onclick="likePost(this)"
                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i><span> Like</span></a>

                    <a id="commentLink1" class="comment_button card-link" style="color: blue"><i class="fa fa-comment" style="color: blue"></i> Comment</a>
                    <a id="updatePostLink1" th:if="${post.getUser().getId()==user.getId()}" class="update_post_button card-link" style="color: blue"><i class="fa fa-pencil" style="color: blue"></i> Update</a>
                    <a id="deletePostLink1" th:if="${post.getUser().getId()==user.getId() or isAdmin}" th:href="'/homepage/posts/delete/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-trash" style="color: blue"></i> Delete</a>
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}" th:href="'/posts/privacy/private/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-lock" style="color: blue"></i> Private </a>-->
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}" th:href="'/posts/privacy/public/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-unlock" style="color: blue"></i> Public </a>-->


                    <a th:id="change+${post.getPostId()}" onclick="changePostPrivacy(this)"
                    th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Private </span></a>
                    <a th:id="changa+${post.getPostId()}" onclick="changePostPrivacy(this)"
                    th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Public </span></a>

                </div>


<!--форм  ъпдейт пост-->
                <form id="updatePostForm11" class="update_post_form" style="display: none;" action="#"
                      th:action="'/homepage/posts/update/'+${post.getPostId()}" th:object="${postDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent3">
                            <div class="tab-pane fade show active" id="posts3" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">update post</label>
                                    <textarea class="form-control" id="message3" rows="2"
                                              placeholder="Update your post here."
                                              th:field="*{postText}" required maxlength="2000"></textarea>
                                </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="updatePostButton1" type="submit" class="btn btn-primary" value="Update post">update post</button>
                            </div>


                        </div>
                    </div>
                </form>



 <!--</form адд комент>-->


                <form id="addCommentForm1" class="comment_box" style="display: none;" action="#"
                      th:action="'/homepage/'+${post.getPostId()}+'/comments/new'" th:object="${commentDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent1">
                            <div class="tab-pane fade show active" id="posts1" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">comment</label>
                                    <textarea class="form-control" id="message1" rows="2"
                                              placeholder="Write your comment here."
                                              th:field="*{commentText}" required maxlength="2000"></textarea>
                                </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="addCommentButton1" type="submit" class="btn btn-primary" value="Add post">share</button>
                            </div>


                        </div>
                    </div>
                </form>


                <div class="card-body">



<!-- 5 comments .................-->
                    <div class="limitedComments" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedListLimited()})">

                    </div>




  <!-- 5 comments .................-->

                    <div th:if="${post.getOrderedList().size()>5}"  >
                        <a id="seeAllCommentsButton1" style="color: blue" class="moreComments1 card-link"><i class="fa fa-mail-forward" style="color: blue"></i> All comments</a>

                    </div>

<!--more commenst block-->

                    <div class="moreComments" style="display: none;" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedList()})">

                    </div>

<!--more commenst block-->






                </div>
            </div>
        </div>


        <div class="col-md-3">

<!--recieved friend requests-->
            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title">People sent you friend request</h5>
                    <div th:each="person:${receivedFriendRequests}">
                        <div class="d-flex justify-content-left align-items-center">
                            <div class="mr-2">
                                <img th:if="${person.getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                <img th:unless="${person.getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${person.getPhoto()}}">

                            </div>
                            <div class="ml-2">
                                <a id="friendLink4" th:href="'/users/'+${person.getId()}">
                                    <div class="h7 m-0" href="#"
                                         th:text="${person.getFirstName()}+' '+${person.getLastName()}">
                                        JoroJoro
                                    </div>
                                </a>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                            <pre>  </pre>
                            <a id="acceptRequestLink1" href="#" th:href="'/requests/accept/'+${person.getId()}" class="card-link" style="color: #1ABC9C"> Accept </a>
                            <a id="rejectRequestLink1" href="#" th:href="'/requests/reject/'+${person.getId()}" class="card-link" style="color: red"> Reject </a>

                        </div>

                    </div>
                </div>
            </div>
<!--sent friend rquests-->
            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title">People you requested friendship</h5>
                    <div th:each="person:${sentFriendRequests}">
                        <div class="d-flex justify-content-left align-items-center">
                            <div class="mr-2">
                                <img th:if="${person.getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                <img th:unless="${person.getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${person.getPhoto()}}">


                            </div>
                            <div class="ml-2">
                                <a id="friendLink5" th:href="'/users/'+${person.getId()}">
                                    <div class="h7 m-0" href="#"
                                         th:text="${person.getFirstName()}+' '+${person.getLastName()}">
                                        JoroJoro
                                    </div>
                                </a>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                            <pre>  </pre>
                            <a id="rejectFriendRequest2" href="#" th:href="'/requests/reject/'+${person.getId()}" class="card-link" style="color: red"> Cancel </a>

                        </div>

                    </div>
                </div>
            </div>

<!--rest users -->
            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title"> Find more bird watchers</h5>
                    <div th:each="person:${restUsers}">
                        <div class="d-flex justify-content-left align-items-center">
                            <div class="mr-2">

                                <img th:if="${person.getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                <img th:unless="${person.getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${person.getPhoto()}}">

                            </div>
                            <div class="ml-2">
                                <a id="friendLink6" th:href="'/users/'+${person.getId()}">
                                <div class="h7 m-0" href="#"
                                     th:text="${person.getFirstName()}+' '+${person.getLastName()}">
                                    JoroJoro
                                </div>
                                </a>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                            <pre>  </pre>
                            <!--<a href="#" th:unless="${sentFriendRequests.contains(person)||receivedFriendRequests.contains(person)}" th:href="'/requests/send/'+${person.getId()}" class="card-link" style="color: green"> Request friendship</a>-->


                        </div>

                    </div>

                </div>
            </div>




            <div class="card gedf-card">
                <div class="card-body">
                    <h5 class="card-title">
                        <!--Card title-->
                    </h5>
                    <h6 class="card-subtitle mb-2 text-muted">
                        <!--Card subtitle-->
                    </h6>
                    <p class="card-text">
                        Peek of the day
                    </p>
                    <video width="320" height="240" controls>
                        <source src="https://www.w3schools.com/tags/movie.mp4" type="video/mp4">
                    </video>
                    <a href="#" class="card-link">
                        <!--Card link-->
                    </a>
                    <a href="#" class="card-link">
                        <!--Another link-->
                    </a>
                </div>
            </div>
        </div>


    </div>
</div>




<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
<script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.4.1.min.js"></script>


</body>
</html>